/**
 *	CommandLine.class is responsible for user input from a commandLine Interface
 *
 *	@author	Joshua Sailsbery
 *	@version	2.0
 *	@since	1.0
 */
package CommandLine;

public class CommandLine
{
	//CLASS Vars
	private CommandLineUsageBean bean;			//Bean containing all values necessary for operation
	
	
	/**
	 * CommandLine Constructor
	 * creates CommandLineUsageBean object
	 */
	public CommandLine()
	{
		bean = new CommandLineUsageBean();
		
	}//Constructor	
	
	/**
	 * CommandLine Constructor
	 * @param Bean CommandLineUsageBean usage bean is set to that passed in
	 */
	public CommandLine(CommandLineUsageBean Bean)
	{
		bean = Bean;
		
	}//Constructor 	

	
	public void getObjects(){}
	public void setObjects(){}
	
	
	
	
	
	
	
	
	
	
	/**
	 * Get method - returns CommandLineUsageBean bean
	 */
	public CommandLineUsageBean getBean()
	{
		return bean;
	}//getBean 	
	
	/**
	 *  Set method - sets bean here and lower classes
	 *	@param Bean CommandLineUsageBean is the new bean 
	 */
	public void setBean(CommandLineUsageBean Bean)
	{
		bean = Bean;
	}//setBean 
	
}//CommandLine
